package de.uni_passau.fim.PADAS.group3.DataDash.controler;
import java.util.List;
import java.util.UUID;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import de.uni_passau.fim.PADAS.group3.DataDash.model.CategoryDto;
import de.uni_passau.fim.PADAS.group3.DataDash.model.CategoryService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;




@RestController
@RequestMapping("/api/v1/categories")
public class CategoryController {
    @Autowired
    private CategoryService categoryService;

    @GetMapping
    public List<CategoryDto> getMethodName() {
        return categoryService.getAllCategories() ;
    }

    @GetMapping("/id/{id}")
    public CategoryDto getMethodName(@PathVariable("id") UUID id) {
        return categoryService.getCategoryById(id);
    }

    @PostMapping
    public String postMethodName(@RequestBody CategoryDto dto) {
        categoryService.addCategory(dto);        
        return null;
    }
    
    
}
